"use strict";

// ОЖИДАЕМ ЗАГРУЗКУ ВСЕЙ СТРАНИЦЫ
window.onload = function () {

    //*** ВЕРСИЯ ДЛЯ СЛАБОВИДЯЩИХ ***//
    let helpBar = document.querySelector('.help-bar');
    let helpBarBtn = document.querySelector('.help-bar-btn');

    if (helpBar && helpBarBtn) {
        // показ панели для слабовидящих
        helpBarBtn.addEventListener('click', function () {
            helpBar.classList.toggle('_active');
            wrapper.classList.add('help-bar-active');
        })

        // функция увеличения шрифта
        let fontBtns = document.querySelectorAll('.font-size');
        for (let fontBtn of  fontBtns) {
            fontBtn.addEventListener('click', function () {
                let fontBtnAttr = fontBtn.getAttribute('date-font-size');
                wrapper.setAttribute('font-size',`${fontBtnAttr}`);
                localStorage.setItem('hBFont', `${fontBtnAttr}`);
                for (let fontBtn of  fontBtns) {
                    fontBtn.classList.remove('_active');
                }
                fontBtn.classList.add('_active');
            })
        }

        // функция отключения картинок
        let imgBtns = document.querySelectorAll('.hb-image');
        for (let imgBtn of  imgBtns) {
            imgBtn.addEventListener('click', function () {
                if (!imgBtn.classList.contains('_active')) {
                    for (let imgBtn of  imgBtns) {
                        imgBtn.classList.remove('_active');
                    }
                    imgBtn.classList.add('_active');
                    let imgBtnAttr = imgBtn.getAttribute('date-image');
                    if (imgBtnAttr == 0) {
                        imagesNone();
                    } else if (imgBtnAttr == 1) {
                        imagesShow();
                    }
                }

            });
        }
        let images = document.querySelectorAll('img');
        function imagesNone() {
            for (let img of images) {
                let imgSrc = img.getAttribute('src');
                img.setAttribute('src-none', imgSrc);
                img.setAttribute('src', '/includes/noneimg.svg');
            }
            wrapper.classList.add('img-none');
            localStorage.setItem('hBImages', 'none');
        }
        function imagesShow() {
            for (let img of images) {
                let imgSrc = img.getAttribute('src-none');
                img.setAttribute('src', imgSrc);
                img.removeAttribute('src-none');
            }
            wrapper.classList.remove('img-none');
            localStorage.removeItem('hBImages');
        }

        // функция изменения цвета
        let hBColorBtns = document.querySelectorAll('.hb-color');
        for (let hBColorBtn of hBColorBtns) {
            hBColorBtn.addEventListener('click', function () {
                let hBColorBtnAttr = hBColorBtn.getAttribute('hb-color');
                wrapper.setAttribute('color-scheme', `${hBColorBtnAttr}`)
                localStorage.setItem('hBColorScheme', `${hBColorBtnAttr}`);
                for (let hBColorBtn of hBColorBtns) {
                    hBColorBtn.classList.remove('_active');
                }
                this.classList.add('_active');
            });
        }

        // функция возврата к нормальной версии
        let backBtn = document.getElementById('hb-back');
        backBtn.addEventListener('click', function () {
            imagesShow();
            helpBar.classList.remove('_active');
            wrapper.classList.remove('help-bar-active');
            localStorage.setItem('hBFont', `0`);
            localStorage.setItem('hBColorScheme', `none`);
            location.reload ();
        });

        // после перезагрузки страницы сайта проверяем были ли активированы кнопки на панели для слабовидящих
        // если картинки отключены
        if (localStorage.getItem('hBImages') == 'none') {
            console.log(localStorage.getItem('hBImages'))
            imagesNone();
            for (let imgBtn of  imgBtns) {
                if (imgBtn.getAttribute('date-image') == '0') {
                    imgBtn.classList.add('_active');
                } else {
                    imgBtn.classList.remove('_active');
                }
            }
        }

        // шрифты
        if (localStorage.getItem('hBFont')) {
            for (let fontBtn of  fontBtns) {
                if (localStorage.getItem('hBFont') == fontBtn.getAttribute('date-font-size')) {
                    fontBtn.classList.add('_active');
                    wrapper.setAttribute('font-size',`${fontBtn.getAttribute('date-font-size')}`);
                }
            }
        }

        // цветовая схема
        if (localStorage.getItem('hBColorScheme')) {
            for (let hBColorBtn of  hBColorBtns) {
                if (localStorage.getItem('hBColorScheme') == hBColorBtn.getAttribute('hb-color')) {
                    hBColorBtn.classList.add('_active');
                    wrapper.setAttribute('color-scheme', `${hBColorBtn.getAttribute('hb-color')}`)
                }
            }
        }

        // общее
        if (localStorage.getItem('hBImages') == 'none' || localStorage.getItem('hBFont') !== '0' || localStorage.getItem('hBColorScheme') !== 'none') {
            wrapper.classList.add('help-bar-active');
        }
    }

};
